% Unify(struct): Combine analysis & cal periods in a TOA structure
function or = Unify(os)
  or = os;
  or.time = [os.time; os.time_cal];
  or.temp = [os.temp; os.temp_cal];
  or.FID = [os.FID; os.FID_cal];
  or.laser = [os.laser; os.laser_cal];
  or.ATN = [os.ATN; os.ATN_cal];
  or.cATN = [os.cATN; os.cATN_cal];
  or.blaser = [os.blaser; os.blaser_cal];

  or = rmfield(or, {'time_cal', 'temp_cal', 'FID_cal',...
      'laser_cal', 'ATN_cal',...
      'cATN_cal', 'blaser_cal'});
  
return

% Author: Tami Bond, University of Illinois, yark@uiuc.edu
% Version 2.1    Last modified: 29 Nov 2007
% This program is distributed under the Creative Commons by-sa license 3.0
%   (http://creativecommons.org/licenses/by-sa/3.0/).
