% smfilt(vector, num_points)
% Simple median filter (works only on 1-d vector)
% Written so stats package is not required for OC/EC programs
function vecout = smfilt(vecin, nn)

if mod(nn, 2)~=1
    disp('Must have an odd number of points');
    vecout = vecin;
    return
end

vecout = vecin;
npts = length(vecin);
ends = floor(nn/2);
window = (-ends):ends;

for i=1:npts
    if i<=ends
        idx = 1:(i+ends);
    elseif i>=(npts-ends)
        idx = (i-ends):npts;
    else
        idx = i+window;
    end
    vecout(i) = median(vecin(idx));
end

return


